astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- VOTable XML handling (`astropy.io.votable`) »
- validate

# validate

`astropy.io.votable.table.``validate`(source, output=None, xmllint=False, filename=None)

  Prints a validation report for the given file.

  Parameters:

  source : str or readable file-like object

  > Path to a VOTABLE xml file.

  output : writable file-like object, optional

  > Where to output the report. Defaults to `sys.stdout`. If `None`, the output will be returned as a string.

  xmllint : bool, optional

  > When `True`, also send the file to `xmllint` for schema and DTD validation. Requires that `xmllint` is installed. The default is `False`. `source` must be a file on the local filesystem in order for `xmllint` to work.

  filename : str, optional

  > A filename to use in the error messages. If not provided, one will be automatically determined from `source`.

  Returns:

  is_valid : bool or str

  > Returns `True` if no warnings were found. If `output` is `None`, the return value will be a string.